发布时间 :2006-05-11 06:02:00
修订时间 :2011-03-07 21:35:55

[原文]Multiple integer overflows in the DPRPC library (DPRPCW32.DLL) in Novell Client 4.83 SP3, 4.90 SP2 and 4.91 SP2 allow remote attackers to execute arbitrary code via an XDR encoded array with a field that specifies a large number of elements, which triggers the overflows in the ndps_xdr_array function. NOTE: this was originally reported to be a buffer overflow by Novell, but the original cause is an integer overflow.

[CNNVD]Novell Client DPRPCW32.DLL 远程缓冲区溢出漏洞(CNNVD-200605-201)

        Novell Client是允许NetWare连接到Windows的工作站软件。
        Novell Client的DPRPCW32.DLL实现上存在缓冲区溢出,远程攻击者可以利用此漏洞在服务器上执行任意指令。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:novell:client:4.83:sp3Novell Novell client 4.83 SP3
cpe:/a:novell:client:4.91:sp2Novell Novell client 4.91 SP2

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(PATCH)  BID  17931
(PATCH)  BUGTRAQ  20060515 Novell NDPS Remote Vulnerability (Server & Client)
(PATCH)  SECTRACK  1016052
(UNKNOWN)  VUPEN  ADV-2006-1759
(UNKNOWN)  XF  novell-ndps-overflow(26314)
(UNKNOWN)  FULLDISC  20060515 Novell NDPS Remote Vulnerability (Server & Client)

- 漏洞信息

Novell Client DPRPCW32.DLL 远程缓冲区溢出漏洞
危急 缓冲区溢出
2006-05-11 00:00:00 2006-05-25 00:00:00
        Novell Client是允许NetWare连接到Windows的工作站软件。
        Novell Client的DPRPCW32.DLL实现上存在缓冲区溢出,远程攻击者可以利用此漏洞在服务器上执行任意指令。

- 公告与补丁


- 漏洞信息

Novell Client for Windows DPRPC library (DPRPCW32.DLL) ndps_xdr_array Function Remote Overflow
Local Access Required, Remote / Network Access Input Manipulation
Loss of Integrity, Impact Unknown
Exploit Unknown Vendor Verified

- 漏洞描述

Novell Client for Windows NT/2000/XP contains a flaw related to the error in DPRPCW32.DLL that may allow an attacker to cause a buffer overflow. No further details have been provided.

- 时间线

2006-05-09 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, vendor has released a BETA patch 491psp2_dprpcw32.exe to address this vulnerability.

- 相关参考

- 漏洞作者

Unknown or Incomplete